#### Description:

This function adds a new entry to a KeyMap, but no value is stored with the entry. The entry therefore has a special data type represented by symbolic constant AST__UNDEFTYPE.

An example use is to add entries with undefined values to a KeyMap prior to locking them with the MapLocked attribute. Such entries can act as placeholders for values that can be added to the KeyMap later.

#### Synopsis

void astMapPutU( AstKeyMap ∗this, const char ∗key, const char ∗comment );

#### Parameters:

##### this

Pointer to the KeyMap in which to store the supplied value.

##### key

A character string to be stored with the value, which can later be used to identify the value. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.

##### comment

A pointer to a null-terminated comment string to be stored with the value. A NULL pointer may be supplied, in which case no comment is stored.

#### Notes:

- If the supplied key is already in use in the KeyMap, the value associated with the key will be removed.

Copyright (C) 2021 East Asian Observatory